<?php
require_once("config.php");
require_once("formatos.php");
$monto = $_GET["monto"];
$montoi = $_GET["monto"];
$usuario = $_GET["usuario"];
$balance = $_GET["balance"];
$id_prestamo = $_GET["id_prestamo"];


$sql_datos = mysql_query("select * from prestamos inner join clientes on prestamos.id_cliente=clientes.id where prestamos.id_prestamo='$id_prestamo'") or die(mysql_error());

$sql_empresa= mysql_query("select * from empresa") or die(mysql_error());
?>



<?php
$tipo_prestamo = @mysql_result($sql_datos,0,"tipo");
$ruta = @mysql_result($sql_datos,0,"ruta");
$cartera = @mysql_result($sql_datos,0,"cartera");
$cuenta = @mysql_result($sql_datos,0,"cuenta");
$id_cliente = @mysql_result($sql_datos,0,"id_cliente");
$nombre_cliente = @mysql_result($sql_datos,0,"nombre");

$capital_pagado=0;
$interes_pagado=0;
$mora_pagada=0;
$total_pagado=0;
$int=0; 
$cap=0; 
$mor=0; 
$tot=0; 
$str="Pago a cuotas: #";
mysql_query("update cuotas set mora=0 where mora<0 and id_prestamo='$id_prestamo'") or die(mysql_error());
mysql_query("update cuotas set balance_capital=0 where balance_capital<0 and id_prestamo='$id_prestamo'") or die(mysql_error());
mysql_query("update cuotas set balance_interes=0 where balance_interes<0 and id_prestamo='$id_prestamo'") or die(mysql_error());
mysql_query("update cuotas set balance=mora+balance_capital+balance_interes where id_prestamo='$id_prestamo'") or die(mysql_error());

$sql = mysql_query("select * from cuotas where balance>0 and id_prestamo='$id_prestamo' order by id asc") or die(mysql_error());
while($r = mysql_fetch_array($sql)){

	$mora = $r["mora"];
	$capital = $r["balance_capital"];
	$interes = $r["balance_interes"];
	$id = $r["id"];
	$numero = $r["numero"];
	
	if($monto>0){
		cobrar($id,$mora,$interes,$capital);
		$str .=$numero."," ;
  
		mysql_query("update cuotas set pagado=pagado+'$total_pagado' where id='$id'")or die(mysql_error());
		mysql_query("insert into cobros set 
                            capital = '$capital_pagado',
                            interes='$interes_pagado',
                            mora='$mora_pagada', 
                            total='$total_pagado', 
                            cuota='$numero', 
                            id_cuota='$id',
                            id_prestamo='$id_prestamo',
                            id_cliente='$id_cliente', 
                            cliente='$nombre_cliente',
                            tipo='$tipo_prestamo',
                            usuario='$usuario',
                            cartera='$cartera',
                            ruta='$ruta',
                            
                            fecha=NOW(),
                            hora=NOW()")or die(mysql_error());

echo "<br>";
		$capital_pagado=0;
		$interes_pagado=0;
		$mora_pagada=0;
		$total_pagado=0;
		
	}
	

}


function cobrar($id,$mora,$interes,$capital){
	
	global $monto;
	global $capital_pagado;
	global $interes_pagado;
	global $mora_pagada;
	global $total_pagado;
	
	global $int; 
	global $cap; 
	global $mor; 
	global $tot; 
	
	if($mora>0 and $monto>0){
		
		mysql_query("update cuotas set mora=mora-'$monto',fultimo_pago=NOW() where id='$id'") or die(mysql_error());
		
		if($mora>=$monto){$mora_pagada=$monto;}else{$mora_pagada=$mora;}
		if($mora>$monto){$monto = 0;}
		if($mora==$monto){$monto = 0;}
		if($mora<$monto){$monto = $monto - $mora;}
		
	}
	
		if($interes>0 and $monto>0){
			
			mysql_query("update cuotas set balance_interes=balance_interes-'$monto',fultimo_pago=NOW() where id='$id'") or die(mysql_error());
			
			if($interes>=$monto){$interes_pagado= $monto;}else{$interes_pagado=$interes;}
			if($interes>$monto){$monto = 0;}
			if($interes==$monto){$monto = 0;}
			if($interes<$monto){$monto = $monto - $interes;}
	
	}
	
	if($capital>0 and $monto>0){

		mysql_query("update cuotas set balance_capital=balance_capital-'$monto',fultimo_pago=NOW() where id='$id'") or die(mysql_error());
	
			if($capital>=$monto){$capital_pagado=$monto;}else{$capital_pagado=$capital;}
			
			if($capital>$monto){$monto = 0;}
			if($capital==$monto){$monto = 0;}
			if($capital<$monto){$monto = $monto - $capital;}
	
	}
	
	
	$total_pagado = $mora_pagada + $interes_pagado + $capital_pagado;
	$int +=$interes_pagado; 
	$cap +=$capital_pagado;
	$mor+=$mora_pagada;
	$tot+=$total_pagado ;
}


mysql_query("update prestamos set balance=balance - '$tot', capital_pagado=capital_pagado+'$cap', interes_pagado=interes_pagado+'$int', mora_pagada=mora_pagada+'$mor', balance_capital=balance_capital-'$cap', balance_interes=balance_interes-'$int' where id_prestamo='$id_prestamo'") or die(mysql_error());
mysql_query("update cuentas set balance=balance + '$montoi' where numero_cuenta='$cuenta'") or die(mysql_error());
mysql_query("insert into ingresos set 
                            fecha=NOW(),
                            hora=NOW(),
                            concepto='Pago de prestamo #: $id_prestamo',
                            cuenta='$cuenta',
                            monto='$montoi',
                            usuario='$usuario'") or die(mysql_error());

?>

<div id="recibo2" style="display:none">



    <h7 align="1"><?php echo @mysql_result($sql_empresa,0,"nombre")?></h7>
    <p align="1"><?php echo @mysql_result($sql_empresa,0,"direccion")?></p>
    <p align="1"><?php echo @mysql_result($sql_empresa,0,"telefono")?></p>
    <p align="1" ><?php echo @mysql_result($sql_empresa,0,"rnc")?></p>



<h5 align="1" under="1">Recibo de pago</h5>
<p align="2">

    Fecha <?php echo @date('d/m/Y h:i:s a', time());?>
</p>

<p></p>
<h6>Prestamo #:<?php echo @mysql_result($sql_datos,0,"id_prestamo");?></h6>
<h7>Cliente: <?php echo @mysql_result($sql_datos,0,"id_cliente")." - ". @mysql_result($sql_datos,0,"nombre");?></h7>



<?php
echo "<p align='1'>------------------------------</p>";
echo "<h7 align='1'>Distribucion de pago</h7>";
echo "<p align='1'>------------------------------</p>";
echo "<h7>".$str."</h7>";

echo "<table border='0'>";
echo "<td>Abono capital:</td><td>".decimal($cap)."</td>";
echo "<tr>";
echo "<td>Interes:</td><td>".decimal($int)."</td>";
echo "<tr>";
echo "<td>Mora:</td><td>".decimal($mor)."</td>";

echo "</table>";

echo "<p></p>";
echo "<h6>TOTAL PAGADO:".decimal($tot)."</h6>";
echo "<p></p>";
////echo "<h7>BALANCE SALDO:".decimal($balance - $tot)."</h7>";

?>



<p></p>
<p></p>
<p align='2'>Atendido por: <?php echo $_GET["usuario"]."<br>"?></p>
</div>


<script src="jquery.js"></script>



<script>
setTimeout(function(){
	pr();
},2000);






</script>
